ActiveTestSuite (JUnit API)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.extensions
Class ActiveTestSuite

    java.lang.Object
      |
      +--junit.framework.TestSuite
            |
            +--junit.extensions.ActiveTestSuite

All Implemented Interfaces:
  Test

public class ActiveTestSuite
extends TestSuite

A TestSuite for active Tests. It runs each test in a separate thread and waits until all threads have terminated. -- Aarhus Radisson Scandinavian Center 11th floor

Constructor Summary
`ActiveTestSuite()`
`ActiveTestSuite(java.lang.Class theClass)`
`ActiveTestSuite(java.lang.Class theClass, java.lang.String name)`
`ActiveTestSuite(java.lang.String name)`

Method Summary
`void` | `run(TestResult result)` Runs the tests and collects their result in a TestResult.
`void` | `runFinished(Test test)`
`void` | `runTest(Test test, TestResult result)`

Methods inherited from class junit.framework.TestSuite
`addTest, addTestSuite, countTestCases, createTest, getName, getTestConstructor, setName, testAt, testCount, tests, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActiveTestSuite

    public ActiveTestSuite()

### ActiveTestSuite

    public ActiveTestSuite(java.lang.Class theClass)

### ActiveTestSuite

    public ActiveTestSuite(java.lang.String name)

### ActiveTestSuite

    public ActiveTestSuite(java.lang.Class theClass,
                           java.lang.String name)

Method Detail

### run

    public void run(TestResult result)

  Description copied from class: `TestSuite`
  Runs the tests and collects their result in a TestResult.

  Specified by:
    `run` in interface `Test`
  Overrides:
    `run` in class `TestSuite`

### runTest

    public void runTest(Test test,
                        TestResult result)

  Overrides:
    `runTest` in class `TestSuite`

### runFinished

    public void runFinished(Test test)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD